<?php
/**
 * Block Patterns
 *
 * @package fse_renovation_services
 * @since 1.0
 */

function fse_renovation_services_register_block_patterns() {
	$fse_renovation_services_block_pattern_categories = array(
		'fse-renovation-services' => array( 'label' => esc_html__( 'FSE Renovation Services', 'fse-renovation-services' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-renovation-services' ) ),
	);

	$fse_renovation_services_block_pattern_categories = apply_filters( 'fse_renovation_services_fse_renovation_services_block_pattern_categories', $fse_renovation_services_block_pattern_categories );

	foreach ( $fse_renovation_services_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_renovation_services_register_block_patterns', 9 );